from django import forms
from .models import Usuario

class UsuarioForm(forms.ModelForm):
    class Meta:
        model = Usuario
        # CORRECCIÓN: Asegúrate de que 'cargo' esté en esta lista de campos.
        fields = ['nombre', 'apellido', 'email', 'cargo', 'telefono']

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        # Esto aplica la clase 'form-control' de Bootstrap a todos los campos.
        for field_name, field in self.fields.items():
            field.widget.attrs['class'] = 'form-control'